
-- rObjectiveTracker: core
-- zork, 2016

-----------------------------
-- Variables
-----------------------------

local A, L = ...
local addon, ns = ...
local cfg = ns.cfg
L.addonName       = A
L.dragFrames      = {}
L.addonColor      = "00FF00AA"
L.addonShortcut   = "rot"

if not cfg.embeds.rObjectiveTracker then return end

-----------------------------
-- Init
-----------------------------

--ObjectiveTrackerFrame
QuestWatchFrame:SetScale(cfg.tracker.scale)
QuestWatchFrame:ClearAllPoints()
QuestWatchFrame:SetPoint(unpack(cfg.tracker.point))
QuestWatchFrame:SetSize(unpack(cfg.tracker.size))

--drag frame
rLib:CreateDragResizeFrame(QuestWatchFrame, L.dragFrames, -2, true)

--create slash commands
rLib:CreateSlashCmd(L.addonName, L.addonShortcut, L.dragFrames, L.addonColor)